server:
  port: 9999
spring:
  application:
    name: erp-server
  profiles:
    active: local
  jackson:
    property-naming-strategy: SNAKE_CASE
  servlet:
    multipart:
      enabled: true
      max-file-size: 20MB
      max-request-size: 20MB
  #分库分表配置
  shardingsphere:
    props:
      sql:
        show: true
    sharding:
      default-data-source-name: ds0

# 开发环境日志为debug
logging:
  file: logs/erp-server.out
  config: classpath:log4j2-spring.xml #日志文件自定义名
  level:
    org.springframework: ERROR
    springfox.documentation: ERROR
    org.elasticsearch: ERROR
    com.xxl: ERROR
    com.hys.app: DEBUG

seata:
  enabled: false

#java 系统配置
erp:
  #token加密秘钥，请务必更换此词串，且注意保密
  token-secret: 85d6ce9da4e943ff4dcd367ab3d94164
  timeout:
    accessTokenTimeout:  12000000 #访问token失效时间 单位秒
    refreshTokenTimeout: 18000000 #刷新token失效时间 单位秒
    captchaTimout:  120       #验证码失效时间 单位秒
    smscodeTimout: 120        #短信验证码失效时间 单位秒



shop-tnt:
  http-address: https://q26970737o.yicp.fun
  sign-secret: AT5W8XCsvGnxMY1RVguB

kuaidianiao:
  id: 1663339
  key: 0b15b75c-94b4-482b-a462-fd21e45a50f5
  apiUrl: http://183.62.170.46:38092/tcpapi/orderdist
  kuaidi:
    id: 1844388
    key: 9dc8ced0-8079-4b01-9c16-32a6e8b46677
    apiUrl: https://api.kdniao.com/api/dist



